com.sun.jdi.event

## Interface WatchpointEvent

All Superinterfaces:
  Event, Locatable, LocatableEvent, Mirror

All Known Subinterfaces:
  AccessWatchpointEvent, ModificationWatchpointEvent

    public interface WatchpointEvent
    extends LocatableEvent

Notification of a field triggered event encountered by a thread in the target VM.

Since:
  1.3
See Also:
  `EventQueue`, `VirtualMachine`

### Method Summary

Methods
`Field` `field()` Returns the field that is about to be accessed/modified.
`ObjectReference` `object()` Returns the object whose field is about to be accessed/modified.
`Value` `valueCurrent()` Current value of the field.

### Methods inherited from interface com.sun.jdi.event.LocatableEvent

`thread`

### Methods inherited from interface com.sun.jdi.event.Event

`request`

### Methods inherited from interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Methods inherited from interface com.sun.jdi.Locatable

`location`

### Method Detail

#### field

    Field field()

Returns the field that is about to be accessed/modified.

Returns:
  a `Field` which mirrors the field in the target VM.
Throws:
  `ObjectCollectedException` - may be thrown if class has been garbage collected.

#### object

    ObjectReference object()

Returns the object whose field is about to be accessed/modified. Return null is the access is to a static field.

Returns:
  a `ObjectReference` which mirrors the event's object in the target VM.

#### valueCurrent

    Value valueCurrent()

Current value of the field.

Throws:
  `ObjectCollectedException` - if object or class have been garbage collected.

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.